Subject: Re: EGCS include files
From: [email-masked] (Mikhail Tchernychev)

16 Nov 1998 22:33:59 -0800
Message-ID: <[email-masked]>
Mime-Version: 1.0
Content-Type: text/plain; charset=us-ascii
To: cygwin win-32 <[email-masked]>

Yes, you are right.

After I replaced 

c:\cygnus\cygwin-b20\H-i586-cygwin32\i586-cygwin32\include\mingw32\

to 

c:\cygnus\cygwin-b20\H-i586-cygwin32\lib\gcc-lib\i586-cygwin32\egcs-2.91.57\include

in C_INCLUDE_PATH (the same as CPP_INCLUDE_PATH)

it seems it works.

I got confused with different sttdef.h files.
Is it correct if I choose -mno-cygwin option
compiler will automatically pick up right includes ?

Best Regards,
Mikhail

---Mumit Khan <[email-masked]> wrote:
>
> On Sat, 14 Nov 1998, Mikhail Tchernychev wrote:
> 
> > Hello Mumit,
> > 
> > Here are files you requested.
> > 
> 
> Thanks for the useful information. Unfortunately, I still don't the
> output of ``gcc -v'' in your bug.txt, which I need. However, I
> can see where the problem is -- somehow the compiler is picking up
> *both* cygwin and mingw header files and that's what's causing the
> problem.
> 
> > c:\cygnus\cygwin-b20\H-i586-cygwin32\i586-cygwin32\include\stdio.h
>                                                              ^^^^^^^^
> 							     CYGWIN
> > 
c:\cygnus\cygwin-b20\H-i586-cygwin32\i586-cygwin32\include\mingw32\stddef.h
> 
> 								^^^^^^^^^^^^^
> 								MINGW
> 
> No wonder nothing works! You can't mix those two.
> 
> Regards,
> Mumit
> 
> 
> 
 
_________________________________________________________
DO YOU YAHOO!?
Get your free @yahoo.com address at http://mail.yahoo.com

-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".